Page MenuHomePhabricator

Gadgets 2.0: Write documentation
Closed, ResolvedPublic3 Estimate Story Points

Description

We need to write documentation for Gadgets 2.0.

Specifically, flesh out the sections at https://www.mediawiki.org/wiki/Gadgets_2.0.

Event Timeline

DannyH created this task.Nov 10 2015, 1:25 AM
DannyH raised the priority of this task from to Needs Triage.
DannyH updated the task description. (Show Details)
DannyH added a project: Community-Tech.
DannyH moved this task to To be estimated/discussed on the Community-Tech board.
DannyH added a subscriber: DannyH.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 10 2015, 1:25 AM
kaldari updated the task description. (Show Details)Nov 10 2015, 4:58 PM
kaldari set Security to None.
DannyH triaged this task as Medium priority.Nov 10 2015, 6:08 PM
DannyH edited a custom field.
DannyH edited projects, added Community-Tech-Sprint; removed Community-Tech.

Would be good to use some of the screenshots posted by Krinkle in T31398.

Krenair added a subscriber: Krenair.
DannyH assigned this task to kaldari.Jan 8 2016, 9:44 PM
DannyH moved this task from Ready to In Development on the Community-Tech-Sprint board.

@Legoktm, @Krinkle: I imagine we want to encourage gadget writers to use some sort of namespacing for their translatable messages (so that they don't collide with other gadget messages or MediaWiki software messages). Any suggestions regarding that? Maybe MediaWiki:gadget-foo-message? (For example, MediaWiki:gadget-hotcat-submit-button.)

@kaldari: Indeed. That should be the encouraged pattern. However I don't think we should enforce it by design since there is value in re-using core and extension messages as well. This is no different from other messages administrators can (and do) create for the sidebar and various other interface components.

In extensions we have conventions against re-use of messages but that's more viable there due to being backed by translatewiki.net. That isn't the case for gadgets.

kaldari closed this task as Resolved.Jan 12 2016, 4:20 AM

@Krinkle: Thanks for the feedback. Feel free to tweak the documentation further at https://www.mediawiki.org/wiki/Gadgets_2.0.

The mw.Message constructor accepts an instance of mw.Map as argument. A separate mw.Map of messages could be provided to each gadget.

Qgil awarded a token.Jan 12 2016, 7:09 AM
Qgil added a project: Developer-notice.
Qgil added a subscriber: Qgil.
DannyH moved this task from To be estimated/discussed to Archive on the Community-Tech board.
He7d3r added a subscriber: He7d3r.Feb 18 2016, 2:26 PM